Subject: bug#58813: can't substitute etc/teams.scm command as doc suggests

From: Ludovic Courtès <[email-masked]>
Date: Mon, 09 Jan 2023 18:23:28 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Simon Tournier <[email-masked]> writes:
>
>> Hi Ludo,
>>
>> On Tue, 03 Jan 2023 at 23:29, Ludovic Courtès <[email-masked]> wrote:
>>
>>> The manual recommends this (info "(guix) Teams"):
>>>
>>>   git send-email --to [email-masked] $(./etc/teams.scm cc mentors) *.patch
>>>
>>> where:
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> λ ./etc/teams.scm cc mentors
>>> --add-header="X-Debbugs-Cc: [email-masked]"
>>> --add-header="X-Debbugs-Cc: [email-masked]" …
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> I believe this cannot work because the shell will split words on each
>>> whitespace; IOW, the double quotes above do not have the desired effect.
>
>> Well, IIUC, this part is tracked by #58813 [1].
>>
>> 1: <http://issues.guix.gnu.org/issue/58813>
>
> Indeed (CC'd).
>
> I thought about not using whitespace in the generated output, but I'm
> not sure if Debbugs or email clients in general would care, plus it's a
> dirty fix.

Right.

How about just outputting a line like:

  X-Debbugs-Cc: [email-masked], [email-masked]

that people would paste in their cover letter?

How do Linux’s scripts work?

> With the recent patman integration merged (though do apply #60576 as a
> fixup commit), I'm tempted to remove the mentions of git send-email
> $(etc/teams.scm cc-members ...) and replace that by 'Further automation
> of git send-email and etc/teams.scm is possible via the patman package'.
>
> What do you think?

This is the first time I hear about patman.  :-)

The “Submitting Patches” section mentions ‘git send-email’; I don’t
think this is about to change, is it?

Thanks,
Ludo’.